com.fasterxml.jackson.datatype.joda.deser

## Class LocalDateDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.datatype.joda.deser.LocalDateDeserializer

All Implemented Interfaces:
  Serializable

    public class LocalDateDeserializer
    extends com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`LocalDateDeserializer()`

### Method Summary

Methods
`org.joda.time.LocalDate` `deserialize(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`Object` `deserializeWithType(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalDateDeserializer

    public LocalDateDeserializer()

### Method Detail

#### deserialize

    public org.joda.time.LocalDate deserialize(com.fasterxml.jackson.core.JsonParser jp,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                        throws IOException,
                                               com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<org.joda.time.LocalDate>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### deserializeWithType

    public Object deserializeWithType(com.fasterxml.jackson.core.JsonParser jp,
                             com.fasterxml.jackson.databind.DeserializationContext ctxt,
                             com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                               throws IOException,
                                      com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`